# Uses of Class
com.logicaldoc.core.communication.EMailAttachment

Packages that use EMailAttachment
Package
Description
com.logicaldoc.core.communication
Classes that model emails and messages and the machinery to work with them.

## Uses of EMailAttachment in com.logicaldoc.core.communication

Methods in com.logicaldoc.core.communication that return EMailAttachment
Modifier and Type
Method
Description
`EMailAttachment`
EMail.`getAttachment(int partId)`
Methods in com.logicaldoc.core.communication that return types with arguments of type EMailAttachment
Modifier and Type
Method
Description
`Map<Integer,EMailAttachment>`
EMail.`getAttachments()`
Methods in com.logicaldoc.core.communication with parameters of type EMailAttachment
Modifier and Type
Method
Description
`void`
EMail.`addAttachment(int partId, EMailAttachment attachment)`
`void`
EMail.`addAttachment(EMailAttachment attachment)`
Method parameters in com.logicaldoc.core.communication with type arguments of type EMailAttachment
Modifier and Type
Method
Description
`void`
EMail.`setAttachments(Map<Integer,EMailAttachment> attachments)`